/* FILE: callbacks.c
 * DESCRIPTION: Exemple GTK2+ pour capter les touches du clavier.
 * AUTHOR: Guillaume Riviere (C) 2017
 */

#include <stdio.h>   /* sprintf */

#include "callbacks.h"

extern GtkBuilder *builder;

void on_window1_destroy (GtkObject *object, gpointer user_data) {
  printf("Fermeture de la fenetre.\n");
  gtk_main_quit();
}

void rafraichir_affichage () {
  GtkLabel *label_message = GTK_LABEL (gtk_builder_get_object (builder, "label_message"));
  GtkComboBox *combobox1 = GTK_COMBO_BOX (gtk_builder_get_object (builder, "combobox1"));
  int i = gtk_combo_box_get_active (combobox1) ;
  char msg[256] = "" ;
  
  sprintf (msg, "indice : %d", i) ;
  gtk_label_set_text (label_message, msg) ;
}

void on_window1_realize (GtkObject *object, gpointer user_data) {
  rafraichir_affichage () ;
}

void on_combobox1_changed (GtkObject *object, gpointer user_data) {
  rafraichir_affichage () ;
}
